VREFunctionalityModel (gCube VRE Deploy Wizard Portlet 3.3.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.admin.vredeployer.client.model

## Class VREFunctionalityModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - com.extjs.gxt.ui.client.data.BaseTreeModel
      - - org.gcube.portlets.admin.vredeployer.client.model.VREFunctionalityModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, com.extjs.gxt.ui.client.data.TreeModel, Serializable

      public class VREFunctionalityModel
      extends com.extjs.gxt.ui.client.data.BaseTreeModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel

      `children, parent`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREFunctionalityModel()`
    `VREFunctionalityModel(String id, String node, String description, String icon, boolean isSelected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildren(VREFunctionalityModel[] children)`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getNode()`
    `boolean` | `isSelected()`
    `void` | `setSelected(boolean selected)`
    `String` | `toString()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel

      `add, getChild, getChildCount, getChildren, getParent, indexOf, insert, isLeaf, notify, remove, remove, removeAll, setChildren, setParent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames, remove, set`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `addChangeListener, removeChangeListener, removeChangeListeners, setSilent`

- - ### Constructor Detail

    - #### VREFunctionalityModel

          public VREFunctionalityModel()

    - #### VREFunctionalityModel

          public VREFunctionalityModel(String id,
                               String node,
                               String description,
                               String icon,
                               boolean isSelected)

      Parameters:
        `node` -
        `description` -
        `icon` -

  - ### Method Detail

    - #### addChildren

          public void addChildren(VREFunctionalityModel[] children)

      Parameters:
        `children` -

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getNode

          public String getNode()

    - #### getDescription

          public String getDescription()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

Copyright © 2014. All Rights Reserved.